
<footer>
    <div class="container ">
        <div class="row">
            <div class="col-12 col-sm-3 col-lg-6">
                <div class="footer-logo">
                    <a href="/"><img src="<%-para.footerLogo%>" class="img-fluid" alt=""></a>
                </div>
            </div>
            <div class="col-12 col-sm-9 col-lg-6">
                <div class="newsletter text-right">

                    <div class="form-group">
                        <label for="">Subscribe to Our Newsletter</label>
                        <input type="text" class="form-control" name="" id="news" aria-describedby="helpId"
                            placeholder="">
                        <!-- <a href="javascript:void(0)" type="submit" class="btn btn-primary"> <img src="images/submit-button1.jpg" alt="submit"/> </a> -->
                        <button class="btn btn-primary" type="submit" onclick="formSubmit(event)"><img src="images/submit-button1.jpg" alt="submit"> Submit</button>
                    </div>
                </div>
            </div>

            
        </div>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <hr class="footer_line">
            </div>
            <div class="col-md-12">
                <div class="powered-by">
                    <!-- Powered by<a href="https://www.plaxonic.com/"> Plaxonic Technologies</a>. © Copyright 2021. All
                    Rights Reserved -->
                    <%-para.copyRight%>
                </div>
            </div>
        </div>
    </div>
</footer>

<!-- start of footer form submit -->
<script>
    async function formSubmit(event){
        event.preventDefault()
        const email = document.getElementById('news').value
        if(!email){alert("please fill field first")}
        else{
          const result = await fetch(`https://hereditary-backend.herokuapp.com/api/v2/footer/uploadfooterForm`,{
            method:"POST",
            headers:{
                "Content-Type":"application/json"
            },
            body:JSON.stringify({email})
        }).then((res)=>{
          console.log(res)
            if(res.status === 200){
                const email = document.getElementById('news').value = ""
                alert('Posted successfull')
            }else if(res.status === 422){
                alert("Please provided valid email")
            }else{
              alert("Please try again")
            }
        })
        }

    }
</script>
<!-- end of footer form submit -->
